
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>分布式核心技术之协调设计解析 / iVAN</title>

    <meta name="description" content="分布式核心技术之协调设计解析 Fourinone 简介 Fourinone(中文名字&quot;四不像&quot;)是一个四合一分布式计算框架,在写这个框架之前,我对分 布式计算进行了长时间的思考,也看了老外写的其他开源框架.当我们把复杂的 Hadoop 当作一门学科学习时,似乎忘记了 我们想解决问题的初衷:我们仅仅是想写个程序把几台甚至更多的机器一起用起来计算,把更多的 CPU 和内存利用上,来 解决我们数量大和计算复杂的问题.当然这个过程中要考虑到分布式的协同和故障处理.如果仅仅是为了实现这个简单的初 衷,为什么一切会那 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">分布式核心技术之协调设计解析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Fourinone 简介</p>
<p>Fourinone（中文名字“四不像”）是一个四合一分布式计算框架，在写这个框架之前，我对分 布式计算进行了长时间的思考，也看了老外写的其他开源框架。当我们把复杂的 Hadoop 当作一门学科学习时，似乎忘记了 我们想解决问题的初衷：我们仅仅是想写个程序把几台甚至更多的机器一起用起来计算，把更多的 CPU 和内存利用上，来 解决我们数量大和计算复杂的问题。当然这个过程中要考虑到分布式的协同和故障处理。如果仅仅是为了实现这个简单的初 衷，为什么一切会那么复杂。我觉的自己可以写一个更简单的东西，它不需要过度设计，只需要看上去更酷一点，更小巧一 点，功能更强一点。于是我将自己对分布式的理解融入到这个框架中，考虑到底层实现技术的相似性，我将 Hadoop,Zookeeper,MQ, 分布式缓存四大主要的分布式计算功能合为一个框架内，对复杂的分布式计算应用进行了大量简化 和归纳。</p>
<p>Fourinone2.0 提供了一个 4 合 1 分布式框架和简单易用的编程 API，实现对多台计算机 CPU、内存、硬 盘的统一利用，从而获取到强大计算能力去解决复杂问题。由于多计算机物理上独立，Fourinone 框架也提供完整的分布式 协同和锁以及简化 MQ 功能，用于实现多机的协作和通讯。</p>
<p>Fourinone 框架提供了一系列并行计算模式（农民工 / 包工头 / 职介绍 / 手工仓库）用于利用多机多核 CPU 的计算 能力；</p>
<p>提供完整的分布式缓存和小型缓存用于利用多机内存能力；</p>
<p>使提供像操作本地文件一样操作远程文件（访问、并行读写、拆分、排它、复制、解析、事务等）用于利用多机硬盘存 储能力；</p>
<p>由于多计算机物理上独立，Fourinone 框架也提供完整的分布式协同和锁以及简化 MQ 功能，用于实现多机的协作和通 讯。</p>
<p>Fourinone 采用 Java 开发，2.0 版本整体大小 150k，就一个 jar 和一个配置文件，没有任何依赖，很方便嵌入式开 发使用。</p>
<p>Zookeeper 简介</p>
<p>Zookeeper 是 Hadoop 生态系统中协同实现，提供协调服务包括分布式锁，统一命 名等。Chubby 是 Google 分布式系统中的协同实现，和 Zookeeper 类似。Zookeeper 实际上是 Google 的 Chubby 一个开 源的实现。Paxos 算法是 1989 年由莱斯利.兰伯特提出，此算法被广泛用于处理分布式系统的消息传递一致性。</p>
<p>Zookeeper 的配置中心实现更像一个文件系统，文件系统中的所有文件形成一个树状结构。Zookeeper 维护着这样 的树形层次结构，树中的节点称为 znode, 每个 znode 存储的数据有小于 1m 的大小限制。zookeeper 对 znode 提供了几 种类型：临时 znode、持久 znode、顺序 node 等几种类型，用于不同的一致性需求。在 znode 发生变化时，通过“观察 ”（watch）机制可以让客户端得到通知。可以针对 ZooKeeper 服务的“操作”来设置观察，该服务的其他操作可以触发观 察。ZooKeeper 服务的“操作”包括一些对 znode 添加修改获取操作。ZooKeeper 采用一种类似 Paxos 的算法实现领导者 选举，用于解决集群宕机的一致性和协同保障。总体上，Zookeeper 提供了一个分布式协同系统，包括配置维护、名字服务 、分布式同步、组服务等功能，并将相关操作接口提供给用户。</p>
<p>实现原理</p>
<p>fourinone 对分布式协同的实现， 是通过建立一个 domain、node 两层结构的节点信息去完成。domain 可以是分类或者包，node 可以是具体属性。domain 和 node 都是自己根据需求设计命名，比如可以将 domain 命名为“a.b.c...”表示一个树型类目。</p>
<p>一个 domain 下可以有很多个 node，每个 node 只指定一个 domain，可以通过 domain 返回它下面所有的 node。</p>
<p>domain 不需 要单独建立，通常在建立 node 时，如果不存在 domain 会自动创建。</p>
<p>如果 domain 下没有 node 了，该 domain 会自动删除。</p>
<p>如果删除 domain，该 domain 下面 node 也都会删除。</p>
<p>每个 node 下可以存放一个值，可以 是任意对象。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-16 16:31:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f/" title="分布式">分布式</a>, <a href="https://www.iamivan.net/tag/%e6%a1%86%e6%9e%b6/" title="框架">框架</a>, <a href="https://www.iamivan.net/tag/mq%e8%80%97%e5%b0%bd%e5%86%85%e5%ad%98/" title="MQ耗尽内存">MQ耗尽内存</a>, <a href="https://www.iamivan.net/tag/zookeeper/" title="zookeeper">zookeeper</a>, <a href="https://www.iamivan.net/tag/domain/" title="domain">domain</a>, <a href="https://www.iamivan.net/tag/%e5%8d%8f%e5%90%8c/" title="协同">协同</a>, <a href="https://www.iamivan.net/tag/hive-zookeeper/" title="hive zookeeper">hive zookeeper</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4java%e9%9c%80%e6%b1%82zookeeper/" title="集群java需求zookeeper">集群java需求zookeeper</a>, <a href="https://www.iamivan.net/tag/linux%e5%8f%91%e5%b8%83zookeeper/" title="linux发布zookeeper">linux发布zookeeper</a>, <a href="https://www.iamivan.net/tag/zookeeper%c2%a0%e6%97%a0%e8%bf%9b%e7%a8%8b/" title="zookeeper&nbsp;无进程">zookeeper&nbsp;无进程</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%8a%a8%e5%ae%89%e8%a3%85zookeeper/" title="自动安装zookeeper">自动安装zookeeper</a>, <a href="https://www.iamivan.net/tag/paxos/" title="paxos">paxos</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f%e6%96%87%e4%bb%b6/" title="分布式文件">分布式文件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>分布式核心技术之协调设计解析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7YVgRM.html" rel="bookmark">Kafka设计解析（一）- Kafka背景及架构介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文转自Jason's Blog, 原文链接 http://www.jasongj.com/2015/03/10/KafkaColumn1 摘要 Kafka是由LinkedIn开发并开源的分布式消息系统,因其分布式及高吞吐率而被广泛使用,现已与Cloudera Hadoop,Apache Storm,Apache Spark集成.本文介绍了Kafka的创建背景,设计目标,使用消息系统的优势以及目前流行的消息系统对比.并介绍了Kafka的架构,Producer消息路由,Consumer Group			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kmXBM.html" rel="bookmark">数据仓库专题（4）-分布式数据仓库事实表设计思考---讨论精华</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.前言 陆续有各位兄弟参加大讨论,提出了各种问题,关于分布式环境下,维表和事实表设计,进行了比较深入的探讨,在此汇集整理,分享给大家.希望能有更多人参与尽力啊,共同探索分布式数据仓库数据模型的设计. 二.纪要 [活跃]北京-RTB-胖哥(1106110976) 10:21:36  分布式模式下事实表设计思考: 做大做强事实表,做小做弱维表: [冒泡]杭州-电子病历&lt;ruanjizhou@qq.com&gt; 10:23:31  能举例子说明吗? 您这句话,我似懂非懂,但是确实在临床上又有非常多的问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7OLnp.html" rel="bookmark">分布式数据库的存储设计改进</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  分布式数据库的存储设计改进       目录 背景... 4 核心思想... 5 负载情况... 5 数据分布规则... 7 基本均衡策略... 8 列表... 8 范围... 9 取余(节点数为除数,即除以节点数取余数) 9 基本均衡策略的分析... 10 基本均衡策略下的数据重新分布... 11 组合均衡策略... 13 两个基本均衡策略的组合... 13 三个基本均衡策略的组合... 15 数据动态重新分布... 19 场景... 19 业务影响分析... 20 如何处理数据重新分布.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlK9WDb.html" rel="bookmark">09年业界第一波-《网页设计解析》即将出版</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本信息 书名:网页设计解析  丛书名:Web开发路线图 作者:周陟 编著           ISBN  978-7-302-19523-8  责编:栾大成                          定价:62 出版日期:2009年3月           版次:2009年3月第1次印刷  编目分类:                               读者定位: 本书适合于打算进入网页设计行业工作,并对网页设计有着极大热情的读者朋友,无论你是初学者还是已经开始你的职业生涯,这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQm4vQb.html" rel="bookmark">基于分布式的K-prototypes算法设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于分布式的K-prototypes算法设计 李兴 聚类算法已经在很多领域有着广泛的应用,对于大多数的数据集,其中的属性不完全是数值型的,这就给聚类带来了困难.K-Prototypes算法的出现,解决了混合型属性聚类的困难,但其计算重复繁琐,给编程人员带来了大量的困难.Hadoop分布式系统的出现,给编写并行化的K-Prototypes算法提供了可能,这就能提高程序的并行化从而大幅度提高程序的效率.文章正是在此技术前提下,设计的并行化程序. 基于分布式的K-prototypes算法设计			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Y9PAp.html" rel="bookmark">简述fourinone是如何进行分布式协调设计的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分布式协同在分布式应用中可谓是必不可少的,担任着协调者的角色,也就是将多机协同的职责从分布式应用中独立出来,这样就能减少系统的耦合性和增强扩充性.Apache的Zookeeper, google的Chubby都是分布式协同的实现者.fourinone实际上是Zookeeper的升级版,它通过使用最少的代码实现了Zookeeper的所有功能,并且力图做到使用更简洁,功能更强的应用. 一.实现原理 fourinone对分布式协同的实现, 是通过建立一个domain,node两层结构的节点信息去完成,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0W3Yjb.html" rel="bookmark">笔记本接口设计解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  笔记本的接口承载着笔记本的拓展性能的表现,随着硬件和外形的不断改变,接口部分的布局和设计也发生着变化,本篇文章将以笔记本目前流行的接口出发,解析这些接口的作用和意义,帮助消费者正确的使用它们. 随着笔记本的形态和用途的改变,布局的合理也成为笔记本接口设计的一大重点,为了追求轻薄和紧凑的程度,个别产品会出现接口相互冲突的问题,出现这种尴尬的设计无疑给使用者带来的很多的麻烦. 笔记本的接口型号众多,本篇文章将分别从USB接口.视频接口.其他接口和拓展坞四个方面来解析它们用途和功能,每款笔记本都有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgnOwb.html" rel="bookmark">数据仓库专题（3）-分布式数据仓库事实表设计思考</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.前言 最近在设计数据仓库的数据逻辑模型,考虑到海量数据存储在分布式数据仓库中的技术架构模式,需要针对传统的面相关系型数据仓库的数据存储模型进行技术改造.设计出一套真正适合分布式数据仓库的数据存储模型. 二.事实表设计基础       事实表记录发生在现实世界中的操作型事件,其所产生的可度数值.事实表的设计完全依赖于物理活动,不受可能产生的最终报表的影响.事实表中,除数字度量外,事实表总是包含外键,用于关联与之相关的维度,也可以包含退化的维度键和日期/时间戳. 三.传统模式 以FS-LDM数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNjaOWM.html" rel="bookmark">分布式编程模型的设计与演化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分布式编程模型的背景 编程模型是指编程的方法而不是特指某一种编程语言,如面向对象的编程就是一种编程模型.编程模型大致分为两类:命令式编程和声明式编程.前者最典型的是面向过程的编程语言,如C语言:后者与前者差异较大,如常见的SQL语言就是一种典型的声明式语言.   上图是命令式和声明式语言统计文件(表)内行数的具体程序,可以看出两者存在明显的差距.在命令式编程中,会有很多细节,需要告诉程序每一步做什么,中间状态怎么维护以及如何得到最终结果:而声明式编程相对更加简洁,更加注重结果而不考虑过程.  			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjAomz.html" rel="bookmark" class="title">JVM内存管理：GC算法精解（五分钟让你彻底明白标记&sol;清除算法）</a>
					<div>
						首先,我们回想一下上一章提到的根搜索算法,它可以解决我们应该回收哪些对象的问题,但是它显然还不能承担垃圾搜集的重任,因为我们在程序(程序也就是指我们运行在JVM上的JAVA程序)运行期间如果想进行垃圾 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balvPXz.html" rel="bookmark" class="title">WCF中的同步环境</a>
					<div>
						目录 什么是 .NET 同步环境? WCF 和同步环境 服务自定义 同步环境 线程关联同步环境 优先级处理 回调和同步环境 为什么要使用同步环境? Windows Communication Foun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2vodM.html" rel="bookmark" class="title">C&num;的DataView用法</a>
					<div>
						在实际编程工程中,常常遇到这样的情况:DataTable并不是数据库中的,或者DataTable尚未写到数据库,或者从数据库中读出的DataTable已经在本地被改动,又没有写回数据库(可能还要作其他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oNJDb.html" rel="bookmark" class="title">VMware使用技巧</a>
					<div>
						利用VMware,我们即可轻松实现多系统同时运行.特别对于一些喜欢测试软件.病毒及木马的朋友来说,VMware绝对是一款不可多得的软件.不过虚拟机使用也有小窍门. 一.鼠标在虚拟与现实之间要穿行无阻  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwyJKb.html" rel="bookmark" class="title">TAB组合键的使用技巧</a>
					<div>
						其实大家都知道,Tab是跳格键,比如写文章时开头要空两格就可用这个键.不过它还有别的作用,比如在表格中从前面的格跳到后面的格.在程序界面中从一个项目跳到另一个项目.编程人员用它来实现程序文本的格式化对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWAmBb.html" rel="bookmark" class="title">360安全桌面怎么卸载？</a>
					<div>
						  方法如下: 1.首先打开360软件,在软件的主界面上方有一个软件管家的图标,如图所示.用鼠标点击此处打开软件管家. 2.在软件管家的上面功能栏中,有一个软件卸载的选项,用鼠标点击一下这里,切换到软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3qEEM.html" rel="bookmark" class="title">visio2010怎么调节连接线连接文本的位置&quest;</a>
					<div>
						  visio2010怎么调节连接线连接文本的位置?          1.首先双击两个图形间的连接线,添加需要的文字 2.首先点击菜单栏上部的指针工具,然后选中连接线. 3.然后点击如图所示的文本块 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze71lxM.html" rel="bookmark" class="title">WinPE系统设定的修改方法</a>
					<div>
						  我们都知道电脑系统有各种各样的系统设定,WinPE也不例外,下面就介绍介绍这方面的知识. 其实这一步主要是指修改PE的注册表,可以直接修改PE注册表,也可以修改配置文件. 1.修改内部注册表的方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EQxdM.html" rel="bookmark" class="title">代码-实现图片在网页任意运动</a>
					<div>
						问题描述 实现图片在网页任意运动 要插入一张图片能够在网页上任意轨迹运动,用什么代码实现,具体步骤,求解答 解决方案 提取网页中图片运动 打开任意的网页,等待全部显示完毕之后在地址栏上输入下面的代码  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EV7RM.html" rel="bookmark" class="title">9 篇顶会论文解读推荐中的序列化建模：Session-based Neural Recommendation</a>
					<div>
						前言 本文对 Recurrent Neural Network 在推荐领域的序列数据建模进行梳理,整理推荐领域和深度学习领域顶会 RecSys.ICLR 等中的 9 篇论文进行整理.图片和文字来源于原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk7Bvb.html" rel="bookmark" class="title">Ubuntu 14&period;04 安装部署 MariaDB 数据库步骤</a>
					<div>
						一.概述 本文提供一个在Ubuntu 14.04上安装MariaDB的部署文档. MariaDB是流行的MySQL数据库的衍生版,也可以看成是MySQL的一个分支,主要由开源社区负责维护.MariaD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lNldb.html" rel="bookmark" class="title">用一句JQuery代码实现表格的简单筛选</a>
					<div>
						  JQuery的强大之处,这里就不用讲了.这里将用一行简单的JQuery代码实现简单的表格筛选.先贴上代码:   代码 &lt;%@ Page Language=&quot;C#&quot; Aut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA8noM.html" rel="bookmark" class="title">安卓，ios图片，字段上传，服务器接收（struts2）</a>
					<div>
						问题描述 安卓,ios图片,字段上传,服务器接收(struts2) 2C 在struts.xml中加入下面语句 name=&quot;&quot;myRequestParser&quot;&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVerBb.html" rel="bookmark" class="title">ASP&period;NET的Request对象</a>
					<div>
						  在ASP.NET编程中经常需要用Request获取url的有关信息,Request中有多种方法获取url信息,但我经常忘了各种方法的具体作用,今天我就写了个测试程序,将各种方法得到的结果列出来,以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q3X7p.html" rel="bookmark" class="title">listview-创建一个自定义的 ListView selector</a>
					<div>
						问题描述 创建一个自定义的 ListView selector 当我点击一个 listview item 时,为什么没有 selector 出现?帖下我的代码: ListView: &lt;?xml  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1kANz.html" rel="bookmark" class="title">架构师-创建表结构的时候&comma;需要创建外键吗&quest;</a>
					<div>
						问题描述 创建表结构的时候,需要创建外键吗? 有的同事说,不创建外键,因为容易出错. 我觉得只要表结构正确,为什么会出错呢? 解决方案 建议不要使用关联. 主要是我们不建议你真正去从数据库中删除数据, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZW4ap.html" rel="bookmark" class="title">《设计模式解析（第2版&bull;修订版）》&mdash;第1章 1&period;6节面向对象范型</a>
					<div>
						1.6 面向对象范型 设计模式解析(第2版•修订版) 使用对象将责任转移到更局部的层次 面向对象范型以对象概念为中心,一切都集中在对象上.编写代码时是围绕对象而非函数进行组织的. 对象是什么?对象传统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRr28b.html" rel="bookmark" class="title">LBS应用发现App Map：看周围人用什么应用</a>
					<div>
						想知道周围的人都在使用 什么样的应用吗?想了解更多本地化应用吗?现在, App Map 可以满足你的好奇心.App Map 允许用户发现周围人正在使用的应用,这样他们就可以找到一些难以在应用商店发现的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeWEEb.html" rel="bookmark" class="title">政府安全资讯精选 2017年第十三期 网信办发布《互联网新闻信息服务新技术新应用安全评估管理规定》；Facebook颁布新广告政策，加强内容安全</a>
					<div>
						  [国内政策分析] 网信办发布&lt;互联网新闻信息服务新技术新应用安全评估管理规定&gt; 点击查看原文   概要:网信办发布了针对新闻行业信息技术新应用的安全评估规定,要求根据新闻舆论属性.社会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm8L1b.html" rel="bookmark" class="title">Java注解Annotation详解</a>
					<div>
						[本文转载于http://www.open-open.com/lib/view/open1423558996951.html] 从JDK5开始,Java增加了Annotation(注解),Annota ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWVmEz.html" rel="bookmark" class="title">CVE-2017-0780：一张GIF图，让最新版Android短信应用无限崩溃</a>
					<div>
						本文讲的是CVE-2017-0780:一张GIF图,让最新版Android短信应用无限崩溃,有没有想过,一张看起来似乎是每个人随时都能欣赏到的GIF图,其实能够造成你的Android短信应用崩溃呢?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRBY9b.html" rel="bookmark" class="title">数据库中不可忽略的缓存重建</a>
					<div>
						本文的主要内容来源于http://www.aliyun.com/zixun/aggregation/13461.html&quot;&gt;MongoDB官方博客,由NoSQLFan补充说明,本文对传 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBo0mM.html" rel="bookmark" class="title">Windows 8系统更新导致virtualbox启动失败解决办法</a>
					<div>
						win8补丁kb3045999导致virtualbox无法启动怎么办?据用户提出在win8系统中打上补丁kb3045999会导致virtualbox无法启动,virtualbox提示:NtCreate ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqa96b.html" rel="bookmark" class="title">&period;net-IIS添加网站后 无法正常访问 Server Error in &amp;amp&semi;amp&semi;&num;39&semi;&sol;&amp;amp&semi;amp&semi;&num;39&semi; Application</a>
					<div>
						问题描述 IIS添加网站后 无法正常访问 Server Error in '/' Application 操作系统: Windows Server 2008 R2 企业版 64位中文版 问题:IIS添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkALwjb.html" rel="bookmark" class="title">搜狐博客知名博主迷上海尔智能电视新品</a>
					<div>
						&quot;习惯了互联网那种快捷.直接的操作模式,所以看电视时不能直接搜索而要漫无目的换台的繁琐方式让我很不习惯.&quot;搜狐博客知名博主,来自北京的互联网达人AnaCoppla在微博上的吐槽,引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq71lez.html" rel="bookmark" class="title">婴童护理市场升温青蛙王子加速创新抢占先机</a>
					<div>
						&quot;进入六月以来,整个婴童用品销售额呈直线上升趋势,而且伴随着炎热夏季到来,预计销售额还将持续上涨,并且有望创造新的销售记录.&quot;一家婴童专卖店销售经理对记者的一席话,展现出时下婴童用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLJ9aM.html" rel="bookmark" class="title">Windows 10免费策略&comma;会否取得理想效果&quest;</a>
					<div>
						[赛迪网讯]据国外媒体报道,微软近日在推出Windows 10之时宣布,正版Windows 7.Windows 8.1和Windows Phone 8.1的用户可以在Windows 10上市之后的第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVY71z.html" rel="bookmark" class="title">EasyUI表单项获取和设置值实例介绍</a>
					<div>
						1.validatebox  代码如下 复制代码 &lt;input id=&quot;mydata&quot; class=&quot;easyui-validatebox&quot; /&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVmVaz.html" rel="bookmark" class="title">深入理解PHP内核（二）之SAPI探究&lowbar;php实例</a>
					<div>
						在上篇文章给大家介绍了深入了解PHP内核(一),相信大家通过本文多多少少都学到些知识吧,关于php内核知识继续关注本篇文章. SAPI是Server Application Programming I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NvV5p.html" rel="bookmark" class="title">域名劫持---163&period;net被黑的分析&lowbar;漏洞研究</a>
					<div>
						前段时间,163.net被黑,在业界搞的沸沸腾腾.其实,这不是他的错.错误在于Internic .以下内容部分编译自   packetstorm.   163被黑的技术称为域名劫持(hijacked) ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
